# gauntlet-testing-ti
API for managing student activities and tool analytics using the new schema

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0.0
- Package version: 0.0.1
- Generator version: 7.9.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 3.7+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import gauntlet_testing_ti
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import gauntlet_testing_ti
```

### Tests

Execute `pytest` to run the tests.

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import gauntlet_testing_ti
from gauntlet_testing_ti.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to http://$
# See configuration.py for a list of all supported configuration parameters.
configuration = gauntlet_testing_ti.Configuration(
    host = "http://$"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure API key authorization: requestAccessToken
configuration.api_key['requestAccessToken'] = os.environ["API_KEY"]

# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['requestAccessToken'] = 'Bearer'


# Enter a context with an instance of the API client
with gauntlet_testing_ti.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = gauntlet_testing_ti.DefaultApi(api_client)
    week_number = 56 # int | 
    s3_key = 's3_key_example' # str |  (optional)
    next_index = 56 # int |  (optional)

    try:
        # Get all weekly activities for a specific week
        api_response = api_instance.get_all_weekly_activities(week_number, s3_key=s3_key, next_index=next_index)
        print("The response of DefaultApi->get_all_weekly_activities:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling DefaultApi->get_all_weekly_activities: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://$*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DefaultApi* | [**get_all_weekly_activities**](docs/DefaultApi.md#get_all_weekly_activities) | **GET** /api/v1/weeks/{week_number}/activities | Get all weekly activities for a specific week
*DefaultApi* | [**get_student_activities**](docs/DefaultApi.md#get_student_activities) | **GET** /api/v1/students/{student_id}/week/{week_number} | Get student activities for a specific student and week
*DefaultApi* | [**get_tool_analytics**](docs/DefaultApi.md#get_tool_analytics) | **GET** /api/v1/tools/{tool_name}/analytics | Get analytics for a specific tool


## Documentation For Models

 - [GetAllWeeklyActivities200Response](docs/GetAllWeeklyActivities200Response.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization


Authentication schemes defined for the API:
<a id="requestAccessToken"></a>
### requestAccessToken

- **Type**: API key
- **API key parameter name**: request_access_token
- **Location**: HTTP header


## Author




